Skip to main content
`Ctrl`+`K`

# DMInterpolate

interpolates user-defined problem data attached to a `DM` to a finer `DM` by running hooks registered by `DMRefineHookAdd()`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMInterpolate(DM coarse, Mat interp, DM fine)

Collective if any hooks are

## Input Parameters

- coarse - coarser `DM` to use as a base

- interp - interpolation matrix, apply using `MatInterpolate()`

- fine - finer `DM` to update

## Developer Note

This routine is called `DMInterpolate()` while the hook is called `DMRefineHookAdd()`. It would be better to have an an API with consistent terminology.

## See Also

DM Basics, `DM`, `DMRefineHookAdd()`, `MatInterpolate()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages